# Создаём окно программы

from random import randint
import arcade

# размеры окна:
WINDOW_WIDTH = 900 #640
WINDOW_HEIGHT = 600 #480
# заголовок окна:
SCREEN_TITLE = "Окно программы"
# ЦВЕТО ФОНА
BACKGROUND_COLOR = arcade.color.DARK_GREEN


# КЛАСС МГРЫ
class Game(arcade.Window):
    # КОНСТРУКТОР:
    def __init__(self, width, height, title):
        #super().__init__(width, height, title, center_window = True)
        super().__init__(width, height, title, center_window = True, update_rate=1)    
        #super().__init__(width, height, title, center_window = True, antialiasing=True, samples = 16)
        #self.set_update_rate(10)


    # ПОДГОТОВКА
    def setup(self):
        # загружаем фоновую картинку:
        self.texture = arcade.load_texture("Images/тюльпаны.jpg")
        # цвет фона окна:
        arcade.set_background_color(BACKGROUND_COLOR)
        #arcade.set_background_color(arcade.color.DEEP_MAGENTA)
        #arcade.set_background_color(arcade.csscolor.ALICE_BLUE)
        #arcade.set_background_color(arcade.color_from_hex_string('#006400'))    
        #arcade.set_background_color((0, 100, 0))
        # изменяем цвет окна 1 раз в секунду:
        #arcade.schedule(self.change_color, 1)

        # размеры экрана:
        # ds = arcade.get_display_size()
        # w, h = ds[0], ds[1]
        # print(w, h)
        # # центрируем окно:
        # x = (w - SCREEN_WIDTH) // 2
        # y = (h - SCREEN_HEIGHT) // 2
        # self.set_location(x, y)


    # ВОЗВРАЩАЕТ СЛУЧАЙНЫЙ ЦВЕТ
    def random_color(self):
        r = randint(0, 255)
        g = randint(0, 255)
        b = randint(0, 255)    
        return (r, g, b)    


    # ИЗМЕНЯЕМ ЦВЕТ ФОНА
    def change_color(self, _delta_time):
        arcade.set_background_color(self.random_color())    


    # ОБНОВЛЯЕМ СЦЕНУ
    def on_draw(self):
        #arcade.start_render()
        self.clear()
        xc = WINDOW_WIDTH / 2
        yc = WINDOW_HEIGHT / 2
        #self.texture.draw_scaled(xc, yc)     
        self.texture.draw_sized(xc, yc, WINDOW_WIDTH, WINDOW_HEIGHT)


# ГЛАВНАЯ ФУНКЦИЯ
def main():
    # создаём экземпляр игры:
    game = Game(WINDOW_WIDTH, WINDOW_HEIGHT, SCREEN_TITLE)
    game.setup()

    # запускаем программу:
    arcade.run()

    # закрываем программу:
    arcade.close_window()


if __name__ == "__main__":
    main()
